package com.qihoo.antivirus.app;


interface ISharedPrefServer {
	void setInt(String name,String key, int value);
    
    int getInt(String name,String key, int defValue);

    void setBoolean(String name,String key, boolean value);

    boolean getBoolean(String name,String key, boolean defValue);

    void setString(String name,String key, String value);

    String getString(String name,String key, String defValue);

    long getLong(String name,String key, long defValue) ;

    void setLong(String name,String key, long value) ;
    
    void removeKey(String name,String key);
    
    float getFloat(String name,String key, float defValue);
    
    void setFloat(String name,String key, float value);
    
    Bundle getAll(String name);
    
    boolean contains(String name,String key);    
    
    boolean commit(String name ,in Bundle modified, boolean clearAll);
    
    void registerOnSharedPreferenceChangeListener(String name, IBinder listener);
    
    void unregisterOnSharedPreferenceChangeListener(String name, IBinder listener);
}