package com.qihoo.antivirus.update;

interface IUpdateServer {
    boolean isUpdateServiceRunning();
    void setUpdateType(int type);
    int getUpdateType();
    void destroyLoadingView();
    void registerViewDestroy(IBinder listener);
    void reloadDataFile(in List<String> fileList);
    void sendNotification(in Bundle bundle);
    void setUpdateReqParam(String key, String value);
    void removeUpdateReqParam(String key);
    List<String> getUpdateReqParam();
    String getApkMd5();
    void setApkMd5(String md5);
}