package com.qihoo.pctrl.powerusage;

import com.qihoo.pctrl.monitor.Carrier;

interface IPowerState{
	long getPowerPeriod();
	long getPowerChargingFullTime();
	void refreshPowerPeriod();
	void refreshPowerChargingFullTime();
	Carrier getCarrier();
	long getBaseCapacity();
	void addCleanProcessLengthenTime(long addTime);
	void addOptimizeLengthenTime(long addTime);
	long getCacheImplLengthenTime();
}