package com.qihoo360.mobilesafe.service;

interface IUiAdapter {
    /**
     * 打开软件管理界面
     */
    boolean openAppManager();

    /**
     * 打开电池耗电排行
     */
    boolean openBatteryUsage();

    /**
     * 打开防火墙界面
     */
    boolean openFirewall();

    /**
     * 打开流量主界面
     */
    boolean openNetTraffic();
    
    /**
     * 打开手机杀毒界面
     */
    boolean openSecurity();
    
    /**
     * 打开骚扰拦截界面
     */
    boolean openBlockScreen();
    
    /**
     * 打开安全备份界面
     */
    boolean openDataManage();
    
    /**
     * 打开手机防盗界面
     */
    boolean openProtection();
    
    /**
     * 打开主动防御界面
     */
    boolean openShield();
    
    /**
     * 打开隐私保护界面
     */
    boolean openPrivacy();
    
    /**
	 * 打开指定的功能页面
	 * @param type 11：进程清理白名单页面
	 * @return 0表示请求成功，1表示失败，-1表示不支持类型
	 */
    int openActivity(int type);
}