package com.qihoo360.mobilesafe.opti.powerctl.aidl;

interface IPowerMode {
    /**
     * 获取模式，需要使用Mode解析数据
     */
    List<String> getModeList();
    /**
     * 根据模式数据取该模式使用的时间，分钟为单位。
     */
    long getCapacityByModeData(String data);
    /**
     * 获取当前模式,返回null则没有任何模式
     */
    String getCurrentMode();
    /*
     *根据模式id应用模式。
     *如果该模式找不到，返回false
     */
    boolean applyMode(String key);
    /*
     *获取模式开关
     */
    boolean getModeEnabled();
}