package com.qihoo360.mobilesafe.support.root;

interface IRootManager {

    oneway void startRootServer(boolean fromUser);

    void registerRootServerStateListener(IBinder listener);

    void unRegisterRootServerStateListener(IBinder listener);

    int getRootServerState();

    boolean isRootServiceRunning();

    int getRootServerErrorCode();

    int getRootAbleState();

    boolean isPhoneRooted();

    boolean getEnable();

    void setEnable(boolean enabled);

    String searchPath(String appProcess);

    byte[] exec(in String executable, in List<String> args, in List<String> envp, long wait);

    int execve(in String executable, in List<String> args, in List<String> envp, long wait);

    byte[] execp(in String executable, in List<String> args, long wait);

    int execvp(in String executable, in List<String> args, long wait);

    int execv(in String executable, in List<String> args, long wait);
    
    int getRootType();
    
}